org.springframework.data.jdbc.repository.config

## Class JdbcRepositoryConfigExtension

- java.lang.Object
- - org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport
  - - org.springframework.data.jdbc.repository.config.JdbcRepositoryConfigExtension

All Implemented Interfaces:
  RepositoryConfigurationExtension

    public class JdbcRepositoryConfigExtension
    extends RepositoryConfigurationExtensionSupport

`RepositoryConfigurationExtension` extending the repository registration process by registering JDBC repositories.

Author:
  Jens Schauder, Fei Dong, Mark Paluch, Antoine Sauray

### Constructor Summary

Constructors
Constructor and Description
`JdbcRepositoryConfigExtension()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Collection<Class<? extends Annotation>>` `getIdentifyingAnnotations()` In strict mode only domain types having a `Table` annotation get a repository.
`String` `getModuleName()`
`protected String` `getModulePrefix()`
`String` `getRepositoryFactoryBeanClassName()`
`void` `postProcess(BeanDefinitionBuilder builder, RepositoryConfigurationSource source)`

### Methods inherited from class org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport

`getConfigurationInspectionClassLoader, getDefaultNamedQueryLocation, getIdentifyingTypes, getRepositoryConfiguration, getRepositoryConfigurations, getRepositoryConfigurations, hasBean, isStrictRepositoryCandidate, postProcess, postProcess, registerBeansForRoot, registerIfNotAlreadyRegistered, registerLazyIfNotAlreadyRegistered, registerWithSourceAndGeneratedBeanName, useRepositoryConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcRepositoryConfigExtension

    public JdbcRepositoryConfigExtension()

### Method Detail

#### getModuleName

    public String getModuleName()

Specified by:
  `getModuleName` in interface `RepositoryConfigurationExtension`
Overrides:
  `getModuleName` in class `RepositoryConfigurationExtensionSupport`

#### getRepositoryFactoryBeanClassName

    public String getRepositoryFactoryBeanClassName()

#### getModulePrefix

    protected String getModulePrefix()

Specified by:
  `getModulePrefix` in class `RepositoryConfigurationExtensionSupport`

#### postProcess

    public void postProcess(BeanDefinitionBuilder builder,
                            RepositoryConfigurationSource source)

Specified by:
  `postProcess` in interface `RepositoryConfigurationExtension`
Overrides:
  `postProcess` in class `RepositoryConfigurationExtensionSupport`

#### getIdentifyingAnnotations

    protected Collection<Class<? extends Annotation>> getIdentifyingAnnotations()

In strict mode only domain types having a `Table` annotation get a repository.

Overrides:
  `getIdentifyingAnnotations` in class `RepositoryConfigurationExtensionSupport`